Subject: Re: [PATCH 0/2] Fix ethernet driver for Octeon based Movidis hardware

From: David Miller <[email-masked]>
Date: Thu, 01 Apr 2010 18:20:45 -0700 (PDT)

From: David Daney <[email-masked]>
Date: Thu,  1 Apr 2010 18:17:53 -0700

> The Movidis X16 bootloader doesn't enable the mdio bus.  The first
> patch fixes this by enabling the mdio bus when the driver is
> initialized.
> 
> Also the addresses of the PHYs was unknown for this device.  The
> second patch adds the corresponding PHY addresses.
> 
> With both patches applied I can successfully use all eight Ethernet
> ports.
> 
> Please consider for 2.6.34.  Since Octeon is an embedded MIPS SOC it
> is unlikely to break the kernel for any workstations.  Any or all of
> these could be considered for merging via Ralf's linux-mips.org tree.

Ralf please merge this via your MIPS tree, thanks:

Acked-by: David S. Miller <[email-masked]>